Автор Тема: проблемы при апдейте.  (Прочитано 6703 раз)

Оффлайн ps1h

  • Давно тут
  • **
  • Сообщений: 418
Re: проблемы при апдейте.
« Ответ #15 : 19.01.2009 16:29:07 »
Попробуйте удалить скачанное из кэша
apt-get clean
пробовал... хотя битые пакеты он всё равно заново качает...
ps: сегодня само прошло, в чём была проблема так и не понял.

Drool

  • Гость
Re: проблемы при апдейте.
« Ответ #16 : 19.01.2009 16:30:49 »
ps: сегодня само прошло, в чём была проблема так и не понял.

Причина освещалась в рассылке. И почему само прошло - тоже.

Оффлайн AnotheR

  • Давно тут
  • **
  • Сообщений: 307
  • Forever and Never
    • Email
Re: проблемы при апдейте.
« Ответ #17 : 03.03.2009 13:34:39 »
Я так понял иксы сломали у кого nvidia? Просто спрашиваю, любопытно. Просто я всегда обновляюсь и тут бац иксы не грузятся. Я понимаю писать сюда толку мало будет, просто инетресно это глобально хоть? Просто не знаю чего исключать из списка чего не обновлять. Вот откатал систему из бекапа и обновил все что не связано с иксами - работает. Надеюсь на днях починят ;) А так буду методом тыка вылавливать то, что после обновления мешает работе.

Alexei_VM

  • Гость
Re: проблемы при апдейте.
« Ответ #18 : 03.03.2009 14:13:06 »
А так буду методом тыка вылавливать то, что после обновления мешает работе.

И что мешает вам заглянуть в /var/log/Xorg.0.log?

Оффлайн AnotheR

  • Давно тут
  • **
  • Сообщений: 307
  • Forever and Never
    • Email
Re: проблемы при апдейте.
« Ответ #19 : 04.03.2009 11:27:47 »
И что мешает вам заглянуть в /var/log/Xorg.0.log?

Заглянул и толку? Чего там не так то? Вобщем надо будет ждать когда там оно заработает как надо. А пока или откат или грузится с "vesa или nv" Последнее лучше, но фильмы уже плохо идут (тормозят). Насколько извесно из http://ru.wikipedia.org/wiki/Xvideo
Цитировать
Из-за выхода DirectX 10 ряд современных графических карт урезал или изменил поддержку текстурного оверлея. Это коснулось и видеокарт nVidia GeForce 8 серии. Все видеокарты GeForce 8800, включая 8800GT и 8800GTS теперь поддерживают только один текстурный оверлей на главном мониторе. Благодаря этому они не могут должным образом обеспечить вывод более одного потока видео с использованием аппаратного ускорения, вне зависимости от платформы.

Результатом стало плохое воспроизведение видео на операционных системах не поддерживающих DirectX 10, включая Windows XP и Linux с использованием XVideo. Эти изменения также навредили многим композитным менеджерам, включая Compiz и отчасти Metacity.

Так что в моем случаи (GeForce 9400GT) Нужно юзать поприоритарные драйверы к видеокарточке для счастья

Xorg.0.log
X.Org X Server 1.6.0
Release Date: 2009-2-25
X Protocol Version 11, Revision 0
Build Operating System: ALT Linux 5.0 OfficeServer (none) i686
Current Operating System: Linux AnotheR 2.6.27-std-def-alt12 #1 SMP Sat Feb 21 02:21:57 UTC 2009 i686
Build Date: 03 March 2009  07:38:18PM
 
Before reporting problems, check https://bugzilla.altlinux.org/
to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar  4 11:10:04 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Minimal layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Samsung SyncMaster 959NF/900NF/909NF/CN199A(P)|0"
(**) |   |-->Device "Card0|0"
(**) |-->Input Device "Keyboard0"
(**) |-->Input Device "GenPS/2 Genius Mouse|0"
(**) Option "AllowMouseOpenFail" "true"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
catalogue:/etc/X11/fontpath.d,
built-ins
(==) ModulePath set to "/usr/lib/X11/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Keyboard0
(WW) Disabling GenPS/2 Genius Mouse|0
(II) Loader magic: 0x7bc0
(II) Module ABI versions:
X.Org ANSI C Emulation: 0.4
X.Org Video Driver: 5.0
X.Org XInput driver : 4.0
X.Org Server Extension : 2.0
(II) Loader running on linux
(++) using VT number 7

(--) PCI:*(0@1:0:0) nVidia Corporation unknown chipset (0x0641) rev 161, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf4000000/33554432, I/O @ 0x0000c000/128, BIOS @ 0x????????/524288
(II) System resource ranges:
[0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[5] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
(II) Executed /usr/libexec/X11/drv.d/nvidia
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded by default.
(II) LoadModule: "freetype"
(WW) Warning, couldn't open module freetype
(II) UnloadModule: "freetype"
(EE) Failed to load module "freetype" (module does not exist, 0)
(II) LoadModule: "glx"
(II) Loading /usr/lib/X11/modules/extensions/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.0
Module class: X.Org Server Extension
(II) NVIDIA GLX Module  180.22  Tue Jan  6 09:58:42 PST 2009
(II) Loading extension GLX
(II) LoadModule: "dri"
(II) Loading /usr/lib/X11/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
compiled for 1.6.0, module version = 1.0.0
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dbe"
(II) Loading /usr/lib/X11/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
compiled for 1.6.0, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/X11/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
compiled for 1.6.0, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dri2"
(II) Loading /usr/lib/X11/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
compiled for 1.6.0, module version = 1.0.0
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "nvidia"
(II) Loading /usr/lib/X11/modules/drivers/nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.0
Module class: X.Org Video Driver
================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 5.0 that this
driver does not officially support.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
=================================================================
(EE) NVIDIA: Use the -ignoreABI option to override this check.
(II) UnloadModule: "nvidia"
(II) Unloading /usr/lib/X11/modules/drivers/nvidia_drv.so
(EE) Failed to load module "nvidia" (module requirement mismatch, 0)
(EE) No drivers available.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
at https://bugzilla.altlinux.org/
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: проблемы при апдейте.
« Ответ #20 : 04.03.2009 12:06:13 »
Цитировать
This server has a video driver ABI version of 5.0 that this
driver does not officially support.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI

В xorg.conf добавить 
Section "ServerFlags"
  Option         "ignoreABI" "true"
EndSection

Оффлайн AnotheR

  • Давно тут
  • **
  • Сообщений: 307
  • Forever and Never
    • Email
Re: проблемы при апдейте.
« Ответ #21 : 04.03.2009 12:20:38 »
Т.е. это все-таки бага?! Там еще про "freetype" ошибка, но она не мешает грузится Х-серверу.
Кстати насчет "В xorg.conf добавить " я добавил и заработало. Т.к. у меня уже было "Option" в той секции, то сначала я дописал туда же в строку, но потом увидел что потом система говорит, что в той строке ошибка. А потом я написал все строчку ниже. Т.е. получилось у меня две строки начинающиеся со слова "Option". И еще возник вопрос. А что это вообще дает? Ну этот ABI? Я понимаю, Вы скорей всего пошлете меня куда-нибудь, но все же.

ЗЫ Большое спасибо!

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 132
  • Кто сказал что пингвины не летают?
    • Email
Re: проблемы при апдейте.
« Ответ #23 : 10.03.2009 14:32:31 »
Вот здесь мне посоветовали подключить сизиф и установить с него ядро+драйвера на ATI. Делая всеэто столкнулся с такой проблемой:
Подключил сизиф, отключил бранч, обновил ядро. Пометил для обновления пакет  fglrx, нажал применить изменения и Synaptic вылетел. Что делать? В чем проблема?
Synaptic вываливается с кодом:
# synaptic
Segmentation fault
P.S. Извините что дублирую вопрос в 2х разных темах, но дело очень срочное, просто надеюсь что в этой ветке форума подскажут быстрее...
« Последнее редактирование: 10.03.2009 14:37:44 от Labaman »

Drool

  • Гость
Re: проблемы при апдейте.
« Ответ #24 : 10.03.2009 16:23:15 »
...но дело очень срочное, просто надеюсь что в этой ветке форума подскажут быстрее...

Раз дело сночное - apt-get install в руки, а потом уже разбираться.

P.S. Надеюсь, синаптик не обновлялся точечно с сизифа?

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 132
  • Кто сказал что пингвины не летают?
    • Email
Re: проблемы при апдейте.
« Ответ #25 : 10.03.2009 19:24:55 »
...но дело очень срочное, просто надеюсь что в этой ветке форума подскажут быстрее...

Раз дело сночное - apt-get install в руки, а потом уже разбираться.

P.S. Надеюсь, синаптик не обновлялся точечно с сизифа?
Нет, точечных обновлений не было. Был запущен только скрипт update-kernel при подключенном сизифе, так как меня уверили вт том, что установка нового ядра из сизифа эта самая безопасная операция из всех возможных.То есть из сизифа было установлено только ядро.